QGIS Application - Bug report #19496
Crash during zoom with +/-
2018-07-26 02:41 PM - Hannah Berger

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.2 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 27324
Description

QGIS 3.2 crashed during zoom to point feature. | used the + magnifier. | already had problems with the magnifier to zoom in or out the
window.

User Feedback

Report Details

Crash ID: 57656493a49fcc6bc3920687af53806bede07174
Stack Trace

QTextOption::wrapMode :
QTextOption::wrapMode :
QRasterPaintEngine::drawlmage :
QRasterPaintEngine::drawlmage :
QPainter::drawlmage :
QPainter::drawlmage :
QgsSimpleMarkerSymbolLayer::renderPoint :
QgsMarkerSymbol::renderPoint :
QgsAnnotation::render :
QgsMapCanvasAnnotationltem::paint :
QGraphicsScene::dragMoveEvent :
QGraphicsScene::drawltems :
QGraphicsScene::drawltems :
QGraphicsView::paintEvent :
QWidget::event :

QFrame::event :
QGraphicsView::viewportEvent :
QCoreApplicationPrivate::sendThroughObjectEventFilters :
QApplicationPrivate::notify _helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifyInternal2 :
QWidgetPrivate::drawWidget :
QWidgetPrivate::paintSiblingsRecursive :
QWidgetPrivate::drawWidget :
QWidgetPrivate::paintSiblingsRecursive :
QWidgetPrivate::drawWidget :
QWidgetPrivate::paintSiblingsRecursive :
QWidgetPrivate::drawWidget :
QWidgetPrivate::paintSiblingsRecursive :
QWidgetPrivate::paintSiblingsRecursive :
QWidgetPrivate::drawWidget :
QApplication::windowlcon :
QWidget::event :

QMainWindow::event :

QgisApp::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QCoreApplicationPrivate::sendPostedEvents :
QGraphicsScene::~QGraphicsScene :
QObject::event :

QGraphicsScene::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QCoreApplicationPrivate::sendPostedEvents :
qt_plugin_query_metadata :
QEventDispatcherWin32::processEvents :
TranslateMessageEx :

TranslateMessage :
QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2018-07-26 05:20 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Actions to Map Canvas
- Status changed from Open to Feedback

Please remove any 3rd party plugin or even better user a clean profile. Restart QGIS, try again then report back. Thanks!

#2 - 2018-08-02 11:33 AM - Hannah Berger
- Assignee set to Giovanni Manghi

It worked - thanks for the fast response!

#3 - 2018-08-03 01:43 PM - Ana Lee
#4 - 2018-08-03 02:33 PM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed

- Assignee deleted (Giovanni Manghi)
